# -*- coding: utf-8 -*-
"""
Created on Tue Apr 29 11:06:36 2022

Creacion de varios tipos de graficos con Seaborn
"""

# Importar librerias librerías:
import matplotlib
matplotlib.use("Agg")
import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
import seaborn as sns

# Cargar la base de datos Iris
# Nota: En esta base de datos hay tres clases a predecir, que son tres especies distintas 
# de la flor iris, de manera que, para cada flor, se extraen cuatro medidas o variables 
# de entrada (longitud y ancho de los pétalos y los sépalos, en cm). Las tres especies 
# a distinguir son iris setosa, iris virginica e iris versicolor.
iris = sns.load_dataset("iris")


# Crear diferentes tipos de graficos:

# Scatter plot
sns.scatterplot(x='sepal_length', y ='petal_length' ,  data = iris , hue = 'species')
plt.savefig("scatterplot.png")

# Bar plot
sns.barplot(x = 'species', y = 'sepal_length', data = iris)
plt.savefig("barplot.png")


# Grafico pairplot. Muestra distribuciones conjuntas y marginales para todas las relaciones por pares y para cada variable
sns.pairplot(iris, hue='species')
plt.savefig("pairplot.png")

# Distribution Plot
df = sns.load_dataset('iris')
sns.distplot(df['petal_length'], kde = True)
plt.savefig("distributionplot.png")

